%define name            bea-stax
%define version         1.2.0
%define release         0.rc1.1jpp
%define section         free

Summary:        Streaming API for XML
URL:            http://dev2dev.bea.com/technologies/stax/index.jsp
Source0:        stax-src-1.2.0_rc1-dev.zip
Name:           %{name}
Version:        %{version}
Release:        %{release}
Epoch:          0
License:        Apache Software License 2
Group:          Development/Libraries/Java
Vendor:         JPackage Project
Distribution:   JPackage
BuildArch:      noarch

BuildRequires:  jpackage-utils >= 0:1.6
Requires:       jpackage-utils >= 0:1.6
Requires:	%{name}-api = %{epoch}:%{version}-%{release}

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The Streaming API for XML (StAX) is a groundbreaking 
new Java API for parsing and writing XML easily and 
efficiently. 

%package api
Summary:        The StAX API.
Group:          Development/Documentation
%description api
%{summary}

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}

#%package manual
#Summary:        Documents for %{name}
#Group:          Development/Documentation

#%description manual
#%{summary}

#%package demo
#Summary:        Examples for %{name}
#Group:          Development/Documentation

#%description demo
#%{summary}

%prep
%setup -q -c -n %{name}-%{version}

%build
ant all javadoc

%install
rm -rf $RPM_BUILD_ROOT

# jar
install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}
install -p -m 0644 build/stax-api-1.0.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-api-%{version}.jar
install -p -m 0644 build/stax-1.2.0_rc1-dev.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-ri-%{version}.jar
ln -s %{name}-api-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-api.jar
ln -s %{name}-ri-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-ri.jar

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

# demo
#install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
#cp -pr examples/* $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}

# manual
#install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
#cp docs/license/BEA*.doc $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
#cp README.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
#cp jsr173_1.0.pdf $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}


%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -sf %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(-,root,root,-)
#%{_docdir}/%{name}-%{version}/BEA*.doc
#%{_docdir}/%{name}-%{version}/README.txt
#%{_datadir}/%{name}-%{version}
%{_javadir}/%{name}-ri-%{version}.jar
%{_javadir}/%{name}-ri.jar

%files api
%defattr(-,root,root,-)
%{_javadir}/%{name}-api-%{version}.jar
%{_javadir}/%{name}-api.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

#%files manual
#%defattr(0644,root,root,0755)
#%{_docdir}/%{name}-%{version}/jsr173_1.0.pdf

#%files demo
#%defattr(0644,root,root,0755)
#%{_datadir}/%{name}-%{version}

%changelog
* Wed Jan 18 2006 Deepak Bhole <dbhole@redhat.com> 0:1.2.0-0.rc1.1jpp
- Change source zip, and build the ri jars
- Use setup macro in prep
- First version all under APL
- New package name
- Demo still not yet available under the APL; will be in an update

* Tue Apr 26 2005 Fernando Nasser <fnasser@redhat.com> 0:1.0-2jpp_2rh
- First Red Hat build

* Wed Oct 20 2004 David Walluck <david@jpackage.org> 0:1.0-2jpp
- fix build

* Thu Sep 09 2004 Ralph Apel <r.apel at r-apel.de> 0:1.0-1jpp
- First JPackage build 
- Note: there is a stax project starting at codehaus
